/* version 1.0 used for simple pages with playlist-widget, scopes and WEBGL background */
@font-face {
	font-family: 'Open Sans';
	font-style: normal;
	font-weight: 300;

	/* src: local('Open Sans Light'), local('OpenSans-Light'), url(./stdlib/font.woff) format('woff'); WTF: path is needed when using minified version?*/
	src: local('Open Sans Light'), local('OpenSans-Light'), url(./fonts/font.woff) format('woff');
	font-display: swap;
}
::selection {
	color: #eee;
	background: darkred;
}
body ::-webkit-scrollbar {
	height: 16px;
	overflow: visible;
	width: 16px;
}
body ::-webkit-scrollbar-thumb {
	background-color: rgba(0, 0, 0, .1);
	background-clip: padding-box;
	border: solid transparent;
	min-height: 28px;
	padding: 100px 0 0;
	box-shadow: inset 1px 1px 0 rgba(0,0,0,.1),inset 0 -1px 0 rgba(0,0,0,.07);
	border-width: 1px 1px 1px 6px;
}
body ::-webkit-scrollbar-thumb:hover {
	background-color: rgba(0, 0, 0, 0.5);
}
body ::-webkit-scrollbar-button {
	height: 0;
	width: 0;
}
::-webkit-scrollbar-track {
	background-clip: padding-box;
	border: solid transparent;
	border-width: 0 0 0 4px;
}
body ::-webkit-scrollbar-corner {
	background: transparent;
}
body {
	color: #222;
	font-family: 'Open Sans', arial, sans-serif;
	font-weight: 300;
	font-size: 20px;
	-webkit-font-smoothing: antialiased;
	padding: 2em;
	background: -webkit-gradient(radial, center center, 500, center center, 1400, from(rgba(0,0,0,0)), to(rgba(0,0,0,0.6))) #fff;
	background: -moz-radial-gradient(farthest-side, rgba(0,0,0,0) 90%, rgba(0,0,0,0.2) 150%) #fff;
	background: -webkit-radial-gradient(farthest-side, rgba(0,0,0,0) 90%, rgba(0,0,0,0.2) 150%) #fff;
	background: -ms-radial-gradient(farthest-side, rgba(0,0,0,0) 90%, rgba(0,0,0,0.2) 150%) #fff;
	background: -o-radial-gradient(farthest-side, rgba(0,0,0,0) 90%, rgba(0,0,0,0.2) 150%) #fff;
	background: radial-gradient(farthest-side, rgba(0,0,0,0) 90%, rgba(0,0,0,0.2) 150%) #fff;
	box-sizing: border-box;
}
a {
	color: navy;
}
button {
	display: inline-block;
	background: -webkit-gradient(linear, 0% 40%, 0% 70%, from(#F9F9F9), to(#E3E3E3));
	background: -webkit-linear-gradient(#F9F9F9 40%, #E3E3E3 70%);
	background: -moz-linear-gradient(#F9F9F9 40%, #E3E3E3 70%);
	background: -ms-linear-gradient(#F9F9F9 40%, #E3E3E3 70%);
	background: -o-linear-gradient(#F9F9F9 40%, #E3E3E3 70%);
	background: linear-gradient(#F9F9F9 40%, #E3E3E3 70%);
	border: 1px solid #999;
	-webkit-border-radius: 3px;
	border-radius: 3px;
	padding: 5px 8px;
	outline: none;
	white-space: nowrap;
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
	cursor: pointer;
	text-shadow: 1px 1px #fff;
	font-weight: 700;
/*  font-size: 10pt;*/
	font-size: clamp(1.0rem, 3.5rem - 3.5vw, 5.0rem);
}
button:not(:disabled):hover,
button:not(:disabled).active {
	border-color: black;
}
button:not(:disabled):active,
button:not(:disabled).active {
	background: -webkit-gradient(linear, 0% 40%, 0% 70%, from(#E3E3E3), to(#F9F9F9));
	background: -webkit-linear-gradient(#E3E3E3 40%, #F9F9F9 70%);
	background: -moz-linear-gradient(#E3E3E3 40%, #F9F9F9 70%);
	background: -ms-linear-gradient(#E3E3E3 40%, #F9F9F9 70%);
	background: -o-linear-gradient(#E3E3E3 40%, #F9F9F9 70%);
	background: linear-gradient(#E3E3E3 40%, #F9F9F9 70%);
}

h2 {
	margin: 0;
	font-weight: 300;
}

html, body {
	height: 100%;

/*  overflow: hidden;*/
	overflow: visible;
	margin: 0;
	padding: 0;
}

#pal {
    float: right;
	margin: 0;
	padding: 0;
}
.donate_btn {
	width: clamp(7.0rem, 20rem - 25vw, 15.0rem);
}
.tooltip {
	/* button position*/
    float: right;
	display: inline;
	position: relative;
	text-decoration: none;
	top: 15px;
	left: -10px;
	padding: 5px 15px;
	z-index: 601;
}
.tooltip:hover {
    float: right;
	display: inline;
	position: relative;
	text-decoration: none;
	top: 3px;
	left: -10px;
	padding: 5px 15px;
}
.tooltip:hover:after {
	/* text bubble position */
    float: right;
	display: inline;
	background: #333;
	background: rgba(254,233,192,.9);
	border: solid;
	border-width: 1px;
	border-radius: 5px;
	top: 5px;
	color: #000;
	content: attr(alt);
	left: -348px;
	padding: 5px 15px;
	position: absolute;
	z-index: 102;
	width: 350px;
}
.tooltip:hover:before {
	/* arrow position*/
    float: right;
	display: inline;
	border: solid;
	border-color: transparent black;
	border-width: 6px 0px 6px 6px;
	top: 20px;
	content: "";
	left: -120px;
	position: relative;
	z-index: 102;
}

label {
	cursor: pointer;
}

/* ----- "details" overlay ------ */
details {
	position: absolute;
	display: block;
	top: 10px;
	left: 1em;
	margin: 5px 0;
	padding: 5px;
	background: #fff;
	background:  rgba(155,155,155,0.1);
	border: 1px solid rgba(0,0,0,0.3);
	border-radius: 5px;
	max-width: 90%;
	/* use bigger font on crappy small mobile device screens..*/
	font-size: clamp(1.0rem, 1.8rem - 1.8vw, 2.0rem);

	/*  font-size: clamp(1.0rem, 3.5rem - 3.5vw, 5.0rem);*/
	z-index: 2000;
	background-color:rgba(247,247,247,1.0);
}
details > div {
	margin: 10px 0;
	padding: 5px 15px;

	font-size: clamp(1.0rem, 3.5rem - 3.5vw, 5.0rem);
}
details > summary {
	cursor: pointer;
	white-space: nowrap;
}
details > div > p {
	margin-bottom: 0.5rem;
}
/* Firefox workaround */
.no-details details > summary:before {
	float: left;
	width: 15px;
	content: '\25B6';
}
.no-details details.open > summary:before {
	content: '\25BC';
}

body > section {
	display: inline-block;
	position: absolute;
	margin-top: clamp(3.0rem, 5.5rem - 3.5vw, 4.5rem);
}
section > * {
	display: -webkit-flex;
	-webkit-align-items: center;
	-moz-align-items: center;
}

/* ---- modal crap needed to satisfy Google Chrome's
        "autoplay" bullshit ---- */

.modal-autoplay {
    display: none;
    position: fixed;
    padding-top: 0px;
    left: 0;
    top: 0;
    width:  100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(1,0,0,0.4);
	z-index: 2001;
}
.modal-autoplay-content {
    background-color: #d0d0d0;
	margin: 10px;
    padding: 10px;
    border: 1px solid #000;
    width: 500px;
	z-index: 2001;
}

/*----- checkbox styling (from https://codepen.io/aaroniker/pen/PowZbgb) --------*/

.checkbox {
	--background: #fff;
	--border: #D1D6EE;
	--border-hover: #BBC1E1;
	--border-active: #1E2235;
	--tick: #fff;
	position: relative;
}
.checkbox input,
.checkbox svg {
	width: 21px;
	height: 21px;
	display: block;
}
.checkbox input {
	-webkit-appearance: none;
	-moz-appearance: none;
	position: relative;
	outline: none;
	background: var(--background);
	border: none;
	margin: 0;
	padding: 0;
	cursor: pointer;
	border-radius: 4px;
	transition: box-shadow 0.3s;
	box-shadow: inset 0 0 0 var(--s, 1px) var(--b, var(--border));
}
.checkbox input:hover {
	--s: 2px;
	--b: var(--border-hover);
}
.checkbox input:checked {
	--b: var(--border-active);
}
.checkbox svg {
	pointer-events: none;
	fill: none;
	stroke-width: 2px;
	stroke-linecap: round;
	stroke-linejoin: round;
	stroke: var(--stroke, var(--border-active));
	position: absolute;
	top: 0;
	left: 0;
	width: 21px;
	height: 21px;
	transform: scale(var(--scale, 1)) translateZ(0);
}
.checkbox.path input:checked {
	--s: 2px;
	transition-delay: 0.4s;
}
.checkbox.path input:checked + svg {
	--a: 16.1 86.12;
	--o: 102.22;
}
.checkbox.path svg {
	stroke-dasharray: var(--a, 86.12);
	stroke-dashoffset: var(--o, 86.12);
	transition: stroke-dasharray 0.6s, stroke-dashoffset 0.6s;
}
.checkbox.bounce {
	--stroke: var(--tick);
	top:5px;	/* valign with label */
}
.checkbox.bounce input:checked {
	--s: 11px;
}
.checkbox.bounce input:checked + svg {
	-webkit-animation: bounce 0.4s linear forwards 0.2s;
			animation: bounce 0.4s linear forwards 0.2s;
}
.checkbox.bounce svg {
	--scale: 0;
}

@-webkit-keyframes bounce {
	50% {
		transform: scale(1.2);
	}
	75% {
		transform: scale(0.9);
	}
	100% {
		transform: scale(1);
	}
}

@keyframes bounce {
	50% {
		transform: scale(1.2);
	}
	75% {
		transform: scale(0.9);
	}
	100% {
		transform: scale(1);
	}
}

* {
	box-sizing: inherit;
}
*:before, *:after {
	box-sizing: inherit;
}

/*------------------- slider base layout ---------------------------*/

.slider {
	position: relative;
	/*margin: 32px auto; do not center this crap - and no extra padding!*/
	width: 250px;
	display: block;
	background: #565656;
	height: 7px;
	box-shadow: 0 1px 0px rgba(255, 255, 255, 0.25), inset 0 0 4px rgba(0, 0, 0, 0.9);
	border-top-left-radius: 7px 7px;
	border-top-right-radius: 7px 7px;
	border-bottom-right-radius: 7px 7px;
	border-bottom-left-radius: 7px 7px;
}
.slider div.ui-slider-range {
	display: block;
	height: 7px;
	border-top-left-radius: 7px 7px;
	border-top-right-radius: 7px 7px;
	border-bottom-right-radius: 7px 7px;
	border-bottom-left-radius: 7px 7px;
}
.slider a.ui-slider-handle {
	position: absolute;
	top: -6px;
	margin-left: -9px;
	z-index: 2;
	height: 18px;
	width: 18px;
	border-top-left-radius: 20px 20px;
	border-top-right-radius: 20px 20px;
	border-bottom-right-radius: 20px 20px;
	border-bottom-left-radius: 20px 20px;
	background-color: #d4d4d4;
	/* background-size: 100% 100%;*/
	border: 0px solid rgba(0, 0, 0, 0.1);
	box-shadow: 0 0px 2px rgba(0, 0, 0, 0.4), inset 0 0px 1px rgba(0, 0, 0, 0.3), 0 1px 2px rgba(0, 0, 0, 0.6), 0 4px 2px rgba(0, 0, 0, 0.2), 0 9px 4px rgba(0, 0, 0, 0.1), inset 0 2px 1px white;
	outline: none;
}
.slider a.ui-slider-handle:after {
	content: "";
	position: absolute;
	width: 26px;
	height: 16px;
	left: -1px;
	top: -4px;
	background-color: none;
	border-top-left-radius: 25px 25px;
	border-top-right-radius: 25px 25px;
	border-bottom-right-radius: 25px 25px;
	border-bottom-left-radius: 25px 25px;
	background-image: radial-gradient(white, rgba(255, 255, 255, 0.05) rgba(255, 255, 255, 0));
}




/*------ use icons from Google's free font -----*/
@font-face {
	/* stripped down the origial 280kb font to the few glyphs that are actually
	used. trade-off: symbolic icon names to longer works and instead icons
	have to be referred to using their unicode */
	font-family: 'Material Icons';
	font-style: normal;
	font-weight: 400;
	src: url(./fonts/MaterialIcons-Regular-Stripped.eot); /* For IE6-8 */
	src: local('MaterialIcons-Regular'),
		url(./fonts/MaterialIcons-Regular-Stripped.woff2) format('woff2'),
		url(./fonts/MaterialIcons-Regular-Stripped.woff) format('woff'),
		url(./fonts/MaterialIcons-Regular-Stripped.ttf) format('truetype');

	/* this makes no sense but to squelch the silly complaint from Lighthouse*/
	font-display: swap;
}
.material-icons {
	font-family: 'Material Icons';
	font-weight: normal;
	font-style: normal;
	font-size: 24px;  /* Preferred icon size */
	display: inline-block;
	line-height: 1;
	text-transform: none;
	letter-spacing: normal;
	word-wrap: normal;
	white-space: nowrap;
	direction: ltr;

	margin: 0px;
	padding: 0px;
	/* Support for all WebKit browsers. */
	-webkit-font-smoothing: antialiased;
	/* Support for Safari and Chrome. */
	text-rendering: optimizeLegibility;

	/* Support for Firefox. */
	-moz-osx-font-smoothing: grayscale;
}
/* --- disable up/down buttons for input field ---*/

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

/* Firefox */
input[type=number] {
	-moz-appearance: textfield;
}


/* ------ selection list (from https://codepen.io/plines/pen/LVLgVw ) ------------ */
/* the respective impl is so awful that I wont pretend that it might be reusable   */
*{
	margin: 0; padding: 0;
	box-sizing:         border-box;
	-moz-box-sizing:    border-box;
	-webkit-box-sizing: border-box;
}
.old-select{
	position: absolute;
	visibility: hidden;
	top: -9999px;
	left: -9999px;
}
.new-select{
	/* header item */
	width: 500px;
	height: 40px;
	/*margin: auto;   do not center this crap */

	/*  margin-top: 40px;*/
	text-align: center;
	color: #444;		/*selected item in collapsed menu - no mouse over*/
	line-height: 40px;
	position: relative;
}
.new-select .selection:active{
	transform:         rotateX(42deg);
	-o-transform:      rotateX(42deg);
	-ms-transform:     rotateX(42deg);
	-moz-transform:    rotateX(42deg);
	-webkit-transform: rotateX(42deg);
	transform-style:         preserve-3d;
	-o-transform-style:      preserve-3d;
	-ms-transform-style:     preserve-3d;
	-moz-transform-style:    preserve-3d;
	-webkit-transform-style: preserve-3d;
	transform-origin:         top;
	-o-transform-origin:      top;
	-ms-transform-origin:     top;
	-moz-transform-origin:    top;
	-webkit-transform-origin: top;
	transition:         transform         200ms ease-in-out;
	-o-transition:      -o-transform      200ms ease-in-out;
	-ms-transition:     -ms-transform     200ms ease-in-out;
	-moz-transition:    -moz-transform    200ms ease-in-out;
	-webkit-transition: -webkit-transform 200ms ease-in-out;
}
.new-select .selection{
	width: 100%;
	height: 100%;
	background-color: #fff;
	box-shadow: 0 1px 1px rgba(0,0,0,0.1);

	cursor: pointer;
	position: relative;
	z-index: 500; /* Doit être supérieur au nombre d'option */

	transform:         rotateX(0deg);
	-o-transform:      rotateX(0deg);
	-ms-transform:     rotateX(0deg);
	-moz-transform:    rotateX(0deg);
	-webkit-transform: rotateX(0deg);
	transform-style:         preserve-3d;
	-o-transform-style:      preserve-3d;
	-ms-transform-style:     preserve-3d;
	-moz-transform-style:    preserve-3d;
	-webkit-transform-style: preserve-3d;
	transform-origin:         top;
	-o-transform-origin:      top;
	-ms-transform-origin:     top;
	-moz-transform-origin:    top;
	-webkit-transform-origin: top;
	transition:         transform         200ms ease-in-out;
	-o-transition:      -o-transform      200ms ease-in-out;
	-ms-transition:     -ms-transform     200ms ease-in-out;
	-moz-transition:    -moz-transform    200ms ease-in-out;
	-webkit-transition: -webkit-transform 200ms ease-in-out;
}
.new-select .selection p{
	width: calc(100% - 60px);
	position: relative;

	transition:         all 200ms ease-in-out;
	-o-transition:      all 200ms ease-in-out;
	-ms-transition:     all 200ms ease-in-out;
	-moz-transition:    all 200ms ease-in-out;
	-webkit-transition: all 200ms ease-in-out;
}
.new-select .selection:hover p, .new-select .selection.open p{
	color: #bdc3c7;	/* selected item in collapsed list - mouse over*/
}
.new-select .selection i{
	display: block;
	width: 1px;
	height: 70%;
	position: absolute;
	right: -1px; top: 15%; bottom: 15%;
	border: none;
	background-color: #999;	/* vertical divider line */
}
.new-select .selection > span{
	display: block;
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 12px 8px 0 8px; /* Height: 14px / Width: 16px */
	border-color: #222 transparent transparent transparent;	/*arrow down*/

	position: absolute;
	top: 13px; /* 40 / 2 - 14 / 2 */
	right: 22px; /* 60 / 2 - 16 / 2 */
}
.new-select .selection.open > span{
	width: 0;
	height: 0;
	border-style: solid;

	border-width: 0 8px 12px 8px;
	border-color: transparent transparent #222 transparent; /*arrow up*/
}
.new-select .selection {
	/* collapsed selection box */
	border: 1px solid #999;

	-webkit-border-radius: 3px;
	border-radius: 3px;

	background: -webkit-gradient(linear, 0% 40%, 0% 70%, from(#F9F9F9), to(#E3E3E3));
	background: -webkit-linear-gradient(#F9F9F9 40%, #E3E3E3 70%);
	background: -moz-linear-gradient(#F9F9F9 40%, #E3E3E3 70%);
	background: -ms-linear-gradient(#F9F9F9 40%, #E3E3E3 70%);
	background: -o-linear-gradient(#F9F9F9 40%, #E3E3E3 70%);
	background: linear-gradient(#F9F9F9 40%, #E3E3E3 70%);
}
.new-option{
	text-align: center;
	background-color: #fff;
	cursor: pointer;
	box-shadow: 0 1px 1px rgba(0,0,0,0.1);
	position: relative;
	margin-top: 1px;

	position: absolute;
	left: 0; right: 0;

	transition:         all 300ms ease-in-out;
	-o-transition:      all 300ms ease-in-out;
	-ms-transition:     all 300ms ease-in-out;
	-moz-transition:    all 300ms ease-in-out;
	-webkit-transition: all 300ms ease-in-out;

	z-index: 500;
}
.new-option p{
	width: calc(100% - 60px);
}
.new-option.reveal:hover{
	/* opened list item on mouse over */
	background-color: #444;
	color: #f5f5f5;
}
.vortex {
    z-index: 0;
    position: absolute;
    top: -10px;
	left: 200px;
	background: transparent;
}

#mainContainer {
	display: block;
    position: absolute;
}
.mainRow {
	display: inline-block;
}
.mainColumn1 {
	float: left;
	width:550px;
}


.oscRow {
	display: inline-flex;
	position: relative;
}

.osc1 {
	flex: 33%;	/* use 3 colums..*/
}

/* --- main "player" widget container --- */

#playerContainer {
	margin: 10px 10px;		/* space outside*/
	padding: 5px ;			/* space inside*/

	border: solid #888;
	border-width: 1px;

	display: inline-block;
	background-color: #f0f0f0;
  opacity: 0.9;
}

/* "play", "pause", etc buttons */
.playerBtn {
	margin: 0px;		/* space outside*/
	padding: 1px 8px;	/* space inside - make wider */
}
.playerBtn .material-icons {
	position: relative;
	top: 2px;		/* move icons tro the center */
	font-size: 30px;  /* Preferred icon size */
}

/* selection containing the playlist */
.playlistSelect {
	padding-top: 5px;
	padding-bottom: 5px;
}
.playlistSelect > p {
}

/* info line showing the song's composer (etc) */
.songInfo  {
	position: relative;
	display: block;
	left: -32px;
}
#songInfo {
	text-align: center;	/* above "left" shift makes sure that center refers to the song name in the above line */
	font-style: italic;
	font-size: smaller;
}

.playerRow {
	display: flex;
}
.playerColumn {
	flex: 50%;
	padding: 10px;
	z-index: 501; /* put in front of scopes */
}
.playerColumn2 {
	position: absolute;
	flex: 50%;
	padding: 10px;
	top: -70px;
	left: 500px;
}

.spacerContainer {
	position: relative;
	display: block;
	padding: 0px 0px 50px 0px;/*top, right, bottom, left*/
}


/* --- "oscilloscopes" widget container --- */
#scopesContainer {
	position: relative;
	top: 340px;
	left: 50px;
	display: inline-block;
	padding: 5px 5px 10px 10px;/*top, right, bottom, left*/
	margin: 0px 0px 0px 10px;/*top, right, bottom, left*/
/*	border: 1px solid #888;*/

/*	background-color: #f0f0f0;*/
  opacity: 0.9;
	z-index: 499;
}
/* sub-container per voice */
.panHead {
	display: block;
	top: 5px;
	left: 5px;
	height:0px;

	position: relative;
	margin: 0px 10px 0px 0px;
	z-index: 500;

}
.voiceContainer {
	display: block;
	position: relative;
	height:80px;
	margin: 0px 10px 0px 0px;


}
/* actual graph */
.voiceCanvas {
	position: relative;
	border: 1px solid #888;
	width: 250px;
	height: 70px;

  background-color: #f0f0f0;
  opacity: 0.9;
}

/* positioning of toggle/label within each voice */
.voiceToggle {
	position: relative;
	top: -40px;
	left: -0px;
	display: inline-flex;	/* block seems to use the complete row..*/
	margin: 5px 0px 0px 5px;
	padding: 0px 0px 0px 0px;/*top, right, bottom, left*/
}
.voiceToggle > text {
	padding: 0px 10px;	/*spacer between checkbox and label*/
}

.headphoneToggle {
	position: relative;
	top: -5px;
	left: -0px;
	display: inline-flex;	/* block seems to use the complete row..*/
	margin: 5px 0px 0px 5px;
	padding: 0px 0px 0px 0px;/*top, right, bottom, left*/
}
.headphoneToggle > text {
	padding: 0px 10px;	/*spacer between checkbox and label*/
}


/* global controls of the oscilloscope widget */

.syncToggle {
	display: inline-flex;	/* block seems to use the complete row..*/
	margin: 10px 10px 10px 10px;
	padding: 10px 10px 10px 10px;
}
.syncToggle > text {
	padding: 0px 10px;
}
.zoomContainer {
	/*horizontally center*/
	width: 80%;
	margin: 0 auto;

	padding: 0px 0px 0px 0px;
}
.zoomContainer > label {
	margin: 0px 0px 0px 0px;
	padding: 0px 0px 0px 0px;
}

/*-------- filter settings widget ---------------*/

#filterContainer {
	display: inline-block;
	position: relative;
	border: 1px solid #888;
/*	float: right;
	top:-30px;*/
}

#filterCtrl {
	display: inline-block;
	position: relative;
/*	top:-550px;*/
/*	left:600px;*/
/*	border: 1px solid #888;*/

	margin: 20px 0px 0px 10px;
	padding: 0px 0px 10px 0px;
}

.row {
  display: flex;
 /* width:200px;*/	/* smaller than 1-column width - to colapse empty */
}
.column {
	flex: 50%;	/* use 2 colums..*/
}

.u-title {
	/* use the same font for uPlot title as for normal text */
	font-family: 'Open Sans', arial, sans-serif;
	font-weight: 300;
	font-size: 20px;
	-webkit-font-smoothing: antialiased;
}

.filterBtn {
	float: right;
	margin: 0px 20px 0px -15px;		/* space outside*/
	padding: 5px 8px;	/* space inside - make wider */
	position: relative;
	top: 12px;		/* move icons tro the center */
	font-size: 1em;  /* Preferred icon size */
}

/* padding inside of input field*/
/* avoid having text stick to the border */
input[type = text] {
	/*width: 100%;*/
	padding: 0px 5px;	/* issue: this fucks up Chrome's "width" calculations..
							similar to bigger font sizes.. damn jerks! */
/*	margin: 0px 0; */
/*	box-sizing: border-box;*/
}


/*---------------- customization of sliders ---------------*/

/* combo with input field: keeping them all in one place to ease consistency of changes */
.inputSlider {
	position: relative;
	display: inline-block;
/*	border: 1px solid #f00;*/
	padding: 5px 5px 5px 5px;
}
.inputSlider > div{
	/* add more space between 1st and 2nd line */
	margin: 5px 0px 0px 0px;
}
.inputSlider > label{
	position: relative;
	left: 3px; /*  */
}
.inputSlider > input{
	position: relative;
    text-align: right;
	border: 1px solid #888;
	-webkit-border-radius: 3px;
	border-radius: 3px;

	/* use the same font as for normal text */
	font-family: 'Open Sans', arial, sans-serif;
	font-weight: 300;
	font-size: 20px;
	-webkit-font-smoothing: antialiased;


	left: -15px; /* compensate for 5px padding within input field */

	/*top: 3px;*/
	width: 50%;
	float:right;
}
.sliderIconLabel {
	position: relative;
	margin-left: 20px;
}

.slider.zoom {
	display: inline-flex;	/* block seems to use the complete row..*/
	width: 100px;
	top: -8px;
}
.slider.zoom div.ui-slider-range {
	background-color: #e69e9b;
	box-shadow: inset 0 0 4px rgba(163, 18, 0, 0.7), inset 0 0 2px rgba(0, 0, 0, 0.5);
}
.slider.zoom div.ui-slider-range.hilite, .slider.zoom div.ui-slider-range.dragging {
	background-color: #ffc0bb; /* lighten colored part of slider while dragging */
}
.slider.pan {
	display: inline-flex;	/* block seems to use the complete row..*/
	width: 100px;
	top: -11px;
}
.slider.pan div.ui-slider-range {
	background-color: #e69e9b;
	box-shadow: inset 0 0 4px rgba(163, 18, 0, 0.7), inset 0 0 2px rgba(0, 0, 0, 0.5);
}
.slider.pan div.ui-slider-range.hilite, .slider.pan div.ui-slider-range.dragging {
	background-color: #ffc0bb; /* lighten colored part of slider while dragging */
}
.slider.gain {
	display: inline-flex;	/* block seems to use the complete row..*/
	width: 100px;
	top: -8px;
}
.slider.gain div.ui-slider-range {
  background-color: #9edbbc;
  box-shadow: inset 0 0 4px rgba(163, 18, 0, 0.7), inset 0 0 2px rgba(0, 0, 0, 0.5);
}
.slider.gain div.ui-slider-range.hilite, .slider.gain div.ui-slider-range.dragging {
	/*	background-color: #9ee7c2;*/
	background-color: #beffd2;
}

.slider.reverb {
	display: inline-flex;	/* block seems to use the complete row..*/
	width: 100px;
	top: -4px;
}
.slider.reverb div.ui-slider-range {
	background-color: #9FD0E9;
	box-shadow: inset 0 0 4px rgba(163, 18, 0, 0.7), inset 0 0 2px rgba(0, 0, 0, 0.5);
}
.slider.reverb div.ui-slider-range.hilite, .slider.reverb div.ui-slider-range.dragging {
	/*	background-color: #9fd5ff;*/
	background-color: #bfe5ff;
}

.slider.speed {
	display: inline-flex;	/* block seems to use the complete row..*/
	width: 100px;
	top: -8px;
}
.slider.speed div.ui-slider-range {
	background-color: #9FD0E9;
	box-shadow: inset 0 0 4px rgba(163, 18, 0, 0.7), inset 0 0 2px rgba(0, 0, 0, 0.5);
}
.slider.speed div.ui-slider-range.hilite, .slider.speed div.ui-slider-range.dragging {
	/*	background-color: #9fd5ff;*/
	background-color: #bfe5ff;
}

.slider.f1 div.ui-slider-range {
	background-color: #aaaaaa;
	box-shadow: inset 0 0 4px rgba(24, 24, 24, 0.8), inset 0 0 2px rgba(0, 0, 0, 0.5);
}
.slider.f1 div.ui-slider-range.hilite, .slider.f1 div.ui-slider-range.dragging {
	background-color: #bbbbbb;
}
.slider.f2 div.ui-slider-range {
	background-color: #e69e9b;
	box-shadow: inset 0 0 4px rgba(163, 18, 0, 0.7), inset 0 0 2px rgba(0, 0, 0, 0.5);
/*	background-color: #e3e3e3;
	box-shadow: inset 0 0 4px rgba(88, 88, 88, 0.5), inset 0 0 2px rgba(0, 0, 0, 0.3);*/
}
.slider.f2 div.ui-slider-range.hilite, .slider.f2 div.ui-slider-range.dragging {
	background-color: #ffc0bb; /* lighten colored part of slider while dragging */
/*	background-color: #f0f0f0;*/
}


